@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap');

input[type="checkbox"]:before,
input[type="checkbox"]:checked:before {
  position: absolute;
  top: -3px;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  color: #000000;
  font-weight: 700;
}
input[type="checkbox"]:checked:before {
  content: '\2713';
}
input[type="checkbox"] {
  -webkit-appearance: none;
  height: 14px;
  width: 14px;
  outline: none;
  cursor: pointer;
  position: relative;
  background-color: #ffffff;
  margin-left: 0;
}
input[type=number] {
  -moz-appearance: textfield;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
::-webkit-scrollbar {
  width: 5px;
  height: 3px;
  border-radius: 8px;
}
::-webkit-scrollbar-track {
  background: #A701FB;
}
::-webkit-scrollbar-thumb {
  background: #5010FD;
}
body {
  margin: 0;
  padding: 0;
}
* {
  box-sizing: border-box;
  font-family: 'poppins';
}
p {
  font-size: 14px;
  line-height: 1.6;
  margin: 0;
  color: #040303;
  width: 100%;
  font-weight: 500;
}
p strong,
p b {
  font-weight: 700;
}
a {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}
h1,
h2,
h3,
h4 {
  margin: 0;
}
h2 {
  font-weight: 600;
  font-style: normal;
}
ul {
  width: 100%;
}
ul,
li {
  padding: 0;
  margin: 0;
  color: #040303;
  list-style: none;
  font-size: 14px;
  font-weight: 500;
}
button {
  border: 0;
  cursor: pointer;
}
.container {
  width: 100%;
}
section {
  display: flex;
  padding: 3rem 1.5rem;
}
.java-programming .buttons {
  display: flex;
  margin-top: 1.5rem;
}
.java-programming .buttons .btn-blue,
.java-programming .buttons .btn-white {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  font-weight: 600;
  padding: 8px 16px;
  outline: 0;
  min-width: 160px;
  border-radius: 30px;
  position: relative;
  z-index: 1;
  overflow: hidden;
}
.java-programming .buttons .btn-blue::before,
.java-programming .buttons .btn-white::before,
.java-programming .buttons .btn-blue::after,
.java-programming .buttons .btn-white::after {
  content: '';
  position: absolute;
  top: 50%;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border-radius: 30px;
  z-index: -1;
}
.java-programming .buttons .btn-blue::before,
.java-programming .buttons .btn-white::before {
  left: -20px;
  transform: translate(-50%, -50%);
}
.java-programming .buttons .btn-blue::after,
.java-programming .buttons .btn-white::after {
  right: -20px;
  transform: translate(50%, -50%);
}
.java-programming .buttons .btn-blue:hover::before,
.java-programming .buttons .btn-white:hover::before,
.java-programming .buttons .btn-blue:hover::after,
.java-programming .buttons .btn-white:hover::after {
  -webkit-animation-direction: alternate;
  animation-direction: alternate;
}
.java-programming .buttons .btn-blue:hover::before,
.java-programming .buttons .btn-white:hover::before {
  animation: left-circle 0.8s both;
}
.java-programming .buttons .btn-blue:hover::after,
.java-programming .buttons .btn-white:hover::after {
  animation: right-circle 0.8s both;
}
.java-programming .buttons .btn-blue img,
.java-programming .buttons .btn-white img {
  width: 20px;
  height: 20px;
  margin-right: 8px;
}
.java-programming .buttons .btn-blue {
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
  color: #ffffff;
}
.java-programming .buttons .btn-blue:hover::after,
.java-programming .buttons .btn-blue:hover::before {
  background-color: #A701FB;
}
.java-programming .buttons .btn-white {
  background-color: #ffffff;
  color: #040303;
}
.java-programming .buttons .btn-white:hover::after,
.java-programming .buttons .btn-white:hover::before {
  background-color: #F5F5F5;
}
.java-programming .heading {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
  width: 100%;
}
.java-programming .heading h2 {
  width: 100%;
}
.java-programming .heading h2 span {
  display: flex;
  width: 123px;
  height: 2px;
  background-color: #000000;
  position: relative;
  margin-top: 0.8rem;
}
.java-programming .heading h2 span::before {
  content: '';
  background-image: url(/_public/images/java-programming/heading.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 40px;
  height: 15px;
  position: absolute;
  top: -7px;
  left: 0;
  animation: move 5s linear infinite;
}
.java-programming .heading p {
  margin-top: 0.8rem;
}
.java-programming .center-heading {
  justify-content: center;
  align-items: center;
}
.java-programming .center-heading h2,
.java-programming .center-heading p {
  text-align: center;
}
.java-programming .center-heading h2 span {
  margin: 0.8rem auto 0;
}
.java-programming .white-heading h2,
.java-programming .white-heading p {
  color: #ffffff;
}
.java-programming .white-heading h2 span {
  background-color: #ffffff;
}
.java-programming .white-heading h2 span::before {
  background-image: url(/_public/images/java-programming/white-heading.svg);
}
@keyframes left-circle {
  0% {
    left: -20px;
  }
  50% {
    left: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    left: 50%;
    width: 100%;
    height: 100%;
  }
}
@keyframes right-circle {
  0% {
    right: -20px;
  }
  50% {
    right: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    right: 50%;
    width: 100%;
    height: 100%;
  }
}
@keyframes pulse {
  0% {
    transform: scale(0.95);
  }
  70% {
    transform: scale(1);
  }
  100% {
    transform: scale(0.95);
  }
}
@keyframes scale {
  0% {
    transform: scaleX(0);
  }
  50% {
    transform: scale(1);
  }
  100% {
    transform: scaleX(0);
    opacity: 0.5;
  }
}
@keyframes move {
  0% {
    left: 0;
  }
  50% {
    left: 75px;
  }
  100% {
    left: 0;
  }
}
.java-programming .banner {
  flex-direction: column;
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
  padding-top: 1.5rem;
}
.java-programming .banner .container {
  height: 100%;
  z-index: 1;
}
.java-programming .banner .logo-container,
.java-programming .banner .tka-logo {
  display: flex;
}
.java-programming .banner .logo-container .container {
  display: flex;
  height: auto;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
  padding: 1rem;
}
.java-programming .banner .tka-logo {
  width: 200px;
}
.java-programming .banner .tka-logo img {
  width: 100%;
  height: 100%;
}
.java-programming .banner .menu {
  width: 22px;
  height: 23px;
  margin-left: auto;
}
.java-programming .banner .menu img {
  width: 100%;
  height: 100%;
}
.java-programming .banner .menu-toggle img {
  width: 15px;
  height: 15px;
  margin-right: 5px;
}
.java-programming .banner .menu-links {
  position: fixed;
  background-color: #ffffff;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  transition: all 0.5s;
  right: 0;
  top: 0;
  width: 0;
  z-index: 1;
}
.java-programming .banner .menu-links li {
  display: flex;
  align-items: center;
  padding: 0.6rem 0;
  font-weight: 500;
  border-bottom: 1px dotted #000000;
}
.java-programming .banner .menu-links li:first-child {
  padding-top: 0;
}
.java-programming .banner .menu-links li:nth-last-child(2) {
  padding-bottom: 0;
  border-bottom: none;
}
.java-programming .banner .menu-links li:last-child {
  display: none;
}
.java-programming .banner .active + .menu-links {
  display: flex;
  flex-direction: column;
  width: 85%;
  padding: 1rem;
}
.java-programming .banner .active + .menu-links .menu-toggle {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.java-programming .banner .sticky {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  transition: 1s;
  height: auto;
  padding: 1rem 1.5rem;
  background-color: #ffffff;
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
}
.java-programming .banner .sticky .container {
  padding: 0;
  box-shadow: none;
}
.java-programming .banner .sticky-down {
  top: -100px;
}
.java-programming .banner .banner-container,
.java-programming .banner .banner-content,
.java-programming .banner .banner-info {
  display: flex;
  flex-direction: column;
}
.java-programming .banner .banner-container {
  padding-top: 2rem;
}
.java-programming .banner .banner-content h1,
.java-programming .banner .banner-content p {
  color: #ffffff;
}
.java-programming .banner .banner-content h1 {
  font-size: 40px;
  line-height: 1.2;
}
.java-programming .banner .banner-content h1 img {
  width: 46px;
  height: 46px;
  margin-right: 0.5rem;
  transform: translateY(10px);
}
.java-programming .banner .banner-content p {
  margin-top: 1rem;
  font-size: 13px;
}
.java-programming .banner .banner-info {
  display: flex;
  margin-top: 2rem;
  height: 100%;
  background-color: #ffffff;
  padding: 1rem;
}
.java-programming .banner .banner-info .heading h2 span {
  display: none;
}
.java-programming .banner .banner-info span {
  display: flex;
  height: 100%;
  width: 100%;
}
.java-programming .banner .banner-info span img {
  width: 100%;
  height: 100%;
}
.java-programming .overview {
  padding-bottom: 0;
}
.java-programming .overview .overview-container,
.java-programming .overview .overview-content,
.java-programming .overview .overview-info {
  display: flex;
  flex-direction: column;
}
.java-programming .overview .overview-content,
.java-programming .overview .overview-info {
  border: 1px solid #040303;
  border-radius: 30px;
}
.java-programming .overview .overview-content {
  background-color: #ffffff;
  z-index: 1;
  padding: 1rem;
}
.java-programming .overview .overview-content p:nth-child(3) {
  margin-top: 0.6rem;
}
.java-programming .overview .overview-info {
  margin-top: 2rem;
  padding: 1rem;
  position: relative;
}
.java-programming .overview .overview-info h3 {
  margin-bottom: 0.5rem;
}
.java-programming .overview .overview-info ul li {
  position: relative;
  padding-left: 1.5rem;
  margin-top: 0.3rem;
}
.java-programming .overview .overview-info ul li::before {
  content: '';
  position: absolute;
  background: linear-gradient(180deg, #A701FB, #5010FD);
  border-radius: 50px;
  height: 10px;
  width: 10px;
  top: 6px;
  left: 0px;
}
.java-programming .overview .overview-info span {
  display: flex;
  height: 100%;
  margin-top: 1.5rem;
}
.java-programming .overview .overview-info span img {
  height: 100%;
  width: 100%;
}
.java-programming .course .course-container,
.java-programming .course .course-list {
  display: flex;
  flex-direction: column;
}
.java-programming .course .heading {
  margin-bottom: 0.5rem;
}
.java-programming .course .heading p {
  margin: 0 0 0.5rem 0;
}
.java-programming .course .heading p strong {
  color: #A701FB;
}
.java-programming .course .course-item {
  display: flex;
  justify-content: space-between;
  margin-top: 2rem;
  padding: 1rem;
  align-items: center;
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
  background-image: linear-gradient(90deg, #F5F5F5 63px, #ffffff 63px);
}
.java-programming .course .course-item .training {
  height: 34px;
  width: 34px;
}
.java-programming .course .course-item:hover .buttons .btn-white {
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
  border: 1px solid transparent;
  color: #ffffff;
}
.java-programming .course .course-item:hover .buttons .btn-white span img:first-child {
  display: none;
}
.java-programming .course .course-item:hover .buttons .btn-white span img:last-child {
  display: flex;
}
.java-programming .course .course-info {
  display: flex;
  flex-wrap: wrap;
  width: calc(100% - 62px);
  justify-content: space-between;
}
.java-programming .course .course-info h3 {
  font-size: 14px;
  margin-bottom: 0.7rem;
  width: 100%;
}
.java-programming .course .course-info p {
  font-size: 12px;
  color: #B4B4B4;
}
.java-programming .course .buttons {
  margin-top: 1rem;
}
.java-programming .course .buttons .btn-white {
  border: 1px solid #040303;
  min-width: 112px;
  font-size: 11px;
  padding: 6px 10px;
  transition: 0.5s all;
}
.java-programming .course .buttons .btn-white::before,
.java-programming .course .buttons .btn-white::after {
  display: none;
}
.java-programming .course .buttons .btn-white span {
  display: flex;
}
.java-programming .course .buttons .btn-white span img {
  height: 14px;
  width: 14px;
}
.java-programming .course .buttons .btn-white span img:last-child {
  display: none;
}
.java-programming .method {
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
}
.java-programming .method .method-container,
.java-programming .method .method-list,
.java-programming .method .method-item {
  display: flex;
  flex-direction: column;
}
.java-programming .method .heading {
  margin-bottom: 0;
}
.java-programming .method .method-item {
  margin-top: 2rem;
  padding: 2rem 1.5rem 0;
  background-color: #ffffff;
  border-radius: 14px;
  align-items: center;
  transition: 1s all;
  overflow: hidden;
}
.java-programming .method .method-item h3 {
  text-align: center;
  font-size: 16px;
  width: 100%;
}
.java-programming .method .method-item span {
  display: flex;
  height: 118px;
  width: 160px;
  background-color: #F5F5F5;
  border-radius: 67px 67px 0 0;
  align-items: center;
  justify-content: center;
  margin-top: 2rem;
}
.java-programming .method .method-item span img {
  height: 52px;
  width: 52px;
}
.java-programming .method .method-item span img:last-child {
  display: none;
}
.java-programming .method .method-item:hover {
  transition: 1s all;
}
.java-programming .method .method-item:hover span {
  background-color: transparent;
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
}
.java-programming .method .method-item:hover span img:first-child {
  display: none;
}
.java-programming .method .method-item:hover span img:last-child {
  display: flex;
}
.java-programming .type {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
}
.java-programming .type .type-container,
.java-programming .type .type-content,
.java-programming .type .type-info {
  display: flex;
  flex-direction: column;
}
.java-programming .type .type-content p {
  margin-bottom: 0.8rem;
}
.java-programming .type .type-content ul li {
  padding-left: 2rem;
  margin-top: 0.7rem;
  position: relative;
}
.java-programming .type .type-content ul li::before {
  content: '';
  position: absolute;
  background-image: url(/_public/images/java-programming/square.svg);
  background-size: 100% 100%;
  width: 19px;
  height: 19px;
  left: 0;
  top: 0;
}
.java-programming .type .type-info {
  margin-top: 2rem;
  height: 100%;
}
.java-programming .type .type-info .image {
  width: 100%;
  height: 100%;
}
.java-programming .type .type-info .image img {
  width: 100%;
  height: 100%;
}
.java-programming .choose {
  position: relative;
  z-index: 1;
}
.java-programming .choose canvas {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.2;
  z-index: -1;
}
.java-programming .choose .choose-container,
.java-programming .choose .choose-list,
.java-programming .choose .choose-item,
.java-programming .choose .info {
  display: flex;
  flex-direction: column;
}
.java-programming .choose .heading {
  margin-bottom: 1rem;
}
.java-programming .choose .choose-item {
  padding: 0 1.5rem 1.5rem 1.5rem;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  border-radius: 15px;
  margin-top: 3rem;
  background-color: #ffffff;
}
.java-programming .choose .choose-item span {
  display: flex;
  width: 96px;
  height: 85px;
  background-image: url(/_public/images/java-programming/choose-bg.png);
  background-size: 100% 100%;
  padding: 1.2rem;
  transform: translateY(-12px);
}
.java-programming .choose .choose-item span img {
  width: 100%;
  height: 100%;
}
.java-programming .choose .choose-item .info h3 {
  font-size: 16px;
  margin-bottom: 0.5rem;
}
.java-programming .choose .choose-item .info p {
  font-size: 13px;
}
.java-programming .fact {
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
}
.java-programming .fact .fact-container {
  display: flex;
  flex-direction: column;
}
.java-programming .fact .heading {
  margin-bottom: 0;
}
.java-programming .fact .fact-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.java-programming .fact .fact-item {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 44%;
  margin-top: 1.5rem;
  background-image: url(/_public/images/java-programming/location.svg);
  background-repeat: no-repeat;
  background-size: 50% 50%;
  background-position: center;
}
.java-programming .fact .fact-item:nth-child(2) {
  background-image: url(/_public/images/java-programming/learner.svg);
}
.java-programming .fact .fact-item:nth-child(3) {
  background-image: url(/_public/images/java-programming/trainer.svg);
}
.java-programming .fact .fact-item:nth-child(4) {
  background-image: url(/_public/images/java-programming/running.svg);
}
.java-programming .fact .fact-item h3,
.java-programming .fact .fact-item span {
  font-size: 28px;
  font-weight: 600;
}
.java-programming .fact .fact-item h3,
.java-programming .fact .fact-item span,
.java-programming .fact .fact-item p {
  color: #ffffff;
  text-align: center;
}
.java-programming .benefit .benefit-container,
.java-programming .benefit .benefit-content {
  display: flex;
  flex-direction: column;
}
.java-programming .benefit .benefit-content h4 {
  margin-top: 0.8rem;
  font-size: 14px;
}
.java-programming .benefit .benefit-content ul li {
  padding-left: 2rem;
  margin-top: 0.7rem;
  position: relative;
}
.java-programming .benefit .benefit-content ul li::before {
  content: '';
  position: absolute;
  background-image: url(/_public/images/java-programming/square.svg);
  background-size: 100% 100%;
  width: 19px;
  height: 19px;
  left: 0;
  top: 0;
}
.java-programming .benefit .benefit-img {
  display: flex;
  height: 100%;
  margin-top: 2rem;
}
.java-programming .benefit .benefit-img img {
  width: 100%;
  height: 100%;
}
.java-programming .faq {
  padding-top: 0;
  padding-bottom: 0;
}
.java-programming .faq .faq-container,
.java-programming .faq .faq-content,
.java-programming .faq .faq-item,
.java-programming .faq .form,
.java-programming .faq .input-list {
  display: flex;
  flex-direction: column;
}
.java-programming .faq .faq-container {
  align-items: flex-start;
}
.java-programming .faq .faq-content {
  background-color: #EFF4F8;
  padding: 1rem;
  width: 100%;
}
.java-programming .faq .faq-content .heading {
  margin-bottom: 0;
}
.java-programming .faq .faq-content .faq-item {
  margin-top: 1.5rem;
  padding-left: 1.5rem;
  position: relative;
  z-index: 1;
}
.java-programming .faq .faq-content .faq-item::before,
.java-programming .faq .faq-content .faq-item::after {
  content: '';
  position: absolute;
}
.java-programming .faq .faq-content .faq-item::before {
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
  border-radius: 50px;
  height: 12px;
  width: 12px;
  top: 2px;
  left: 0px;
  z-index: 1;
}
.java-programming .faq .faq-content .faq-item::after {
  content: none;
  border-left: 1px dashed #A701FB;
  height: 91%;
  width: 100%;
  top: 11px;
  left: 5px;
  z-index: -1;
}
.java-programming .faq .faq-content .faq-item .ques {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}
.java-programming .faq .faq-content .faq-item .ques h3 {
  font-size: 14px;
  width: calc(100% - 45px);
  margin-top: -2px;
}
.java-programming .faq .faq-content .faq-item .ques span {
  display: flex;
  height: 18px;
  width: 18px;
}
.java-programming .faq .faq-content .faq-item .ques span img {
  width: 100%;
  height: 100%;
}
.java-programming .faq .faq-content .faq-item .ques span img:last-child {
  display: none;
}
.java-programming .faq .faq-content .faq-item .ans {
  display: none;
  margin-top: 1rem;
  background-color: #ffffff;
  padding: 1rem;
  position: relative;
}
.java-programming .faq .faq-content .faq-item .ans p {
  font-size: 13px;
}
.java-programming .faq .faq-content .faq-item .ans::before {
  content: '';
  position: absolute;
  width: 1px;
  height: 0;
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
  top: -10px;
  left: 12px;
  border-bottom: 10px solid #ffffff;
}
.java-programming .faq .faq-content .active::after {
  content: '';
}
.java-programming .faq .faq-content .active .ques span img:first-child {
  display: none;
}
.java-programming .faq .faq-content .active .ques span img:last-child {
  display: flex;
}
.java-programming .faq .form {
  margin-bottom: 0;
  margin-top: 2rem;
  padding: 1.2rem;
  background-image: linear-gradient(180deg, #A701FB, #5010FD);
  width: 100%;
}
.java-programming .faq .form .input-container {
  display: flex;
  margin-bottom: 1rem;
  justify-content: space-between;
  background-color: #A62DFF;
  padding: 0.6rem 0.8rem;
}
.java-programming .faq .form .input-container input,
.java-programming .faq .form .input-container textarea {
  width: 85%;
  border: none;
  outline: 0;
  padding: 0;
  background-color: transparent;
  font-size: 14px;
  font-weight: 400;
  color: #ffffff;
}
.java-programming .faq .form .input-container textarea {
  height: 34px;
  resize: none;
  overflow: auto;
}
.java-programming .faq .form .input-container ::-webkit-input-placeholder {
  /* Edge */
  color: rgba(245, 245, 245, 0.7);
}
.java-programming .faq .form .input-container :-ms-input-placeholder {
  /* Edge */
  color: rgba(245, 245, 245, 0.7);
}
.java-programming .faq .form .input-container ::placeholder {
  color: rgba(245, 245, 245, 0.7);
}
.java-programming .faq .form .input-error {
  box-shadow: 0 0px 4px #ff0000;
}
.java-programming .faq .form .input-error ::-webkit-input-placeholder {
  /* Edge */
  color: #ff0000;
}
.java-programming .faq .form .input-error :-ms-input-placeholder {
  /* Edge */
  color: #ff0000;
}
.java-programming .faq .form .input-error ::placeholder {
  color: #ff0000;
}
.java-programming .faq .form .form-consent {
  display: flex;
  margin-bottom: 0.5rem;
}
.java-programming .faq .form .form-consent:nth-last-child(2) {
  margin-bottom: 0;
}
.java-programming .faq .form .form-consent label {
  display: flex;
  font-size: 11px;
  width: 95%;
  font-weight: 500;
  align-self: center;
  margin-left: 0.3rem;
  cursor: pointer;
  color: #ffffff;
}
.java-programming .faq .form .form-consent p {
  font-size: 11px;
  color: #ffffff;
}
.java-programming .faq .form .form-consent a {
  font-weight: 600;
  color: #ffffff;
}
.java-programming .faq .form .consent-error,
.java-programming .faq .form .consent-error-other {
  margin-bottom: 0.5rem;
}
.java-programming .faq .form .consent-error p,
.java-programming .faq .form .consent-error-other p {
  color: #ff0000;
  line-height: 1.4;
  font-size: 11px;
}
.java-programming .faq .form .buttons .btn-white {
  min-width: 115px;
}
.java-programming .faq .form .buttons .btn-white img {
  height: 16px;
  width: 16px;
}
.java-programming .advantage .advantage-container,
.java-programming .advantage .advantage-content,
.java-programming .advantage .advantage-img {
  display: flex;
  flex-direction: column;
}
.java-programming .advantage .advantage-content ul li {
  padding-left: 2rem;
  margin-top: 0.7rem;
  position: relative;
}
.java-programming .advantage .advantage-content ul li::before {
  content: '';
  position: absolute;
  background-image: url(/_public/images/java-programming/square.svg);
  background-size: 100% 100%;
  width: 19px;
  height: 19px;
  left: 0;
  top: 0;
}
.java-programming .advantage .advantage-img {
  margin-top: 2rem;
  height: 100%;
}
.java-programming .advantage .advantage-img .image {
  display: flex;
  height: 100%;
}
.java-programming .advantage .advantage-img .image img {
  width: 100%;
  height: 100%;
}
.java-programming .review {
  background-image: linear-gradient(0deg, #5010FD 0%, #A701FB 80%);
}
.java-programming .review .review-container,
.java-programming .review .review-list,
.java-programming .review .review-item,
.java-programming .review .info {
  display: flex;
  flex-direction: column;
}
.java-programming .review .heading {
  padding: 0 0.6rem;
}
.java-programming .review .review-item {
  width: 95%;
  margin: auto;
  margin-bottom: 2.5rem;
  border: 1px solid #ffffff;
  padding: 1rem;
  position: relative;
  z-index: 1;
}
.java-programming .review .review-item::before {
  content: '';
  position: absolute;
  width: 65px;
  height: 47px;
  background-image: url(/_public/images/java-programming/quotes.svg);
  background-size: 100% 100%;
  right: 18px;
  top: 18px;
  z-index: -1;
}
.java-programming .review .review-item h3,
.java-programming .review .review-item p {
  color: #ffffff;
}
.java-programming .review .review-item span {
  display: flex;
  width: 70px;
  height: 70px;
  border: 1px solid #ffffff;
  border-radius: 50px;
  padding: 0.4rem;
}
.java-programming .review .review-item span img {
  width: 100%;
  height: 100%;
}
.java-programming .review .review-item .info h3 {
  font-size: 15px;
  margin-top: 0.4rem;
}
.java-programming .review .review-item .info img {
  width: 100px;
  height: 20px;
  margin: 0.4rem 0;
}
.java-programming .review .owl-dots {
  display: flex;
  width: 200px;
  align-self: center;
  justify-content: center;
}
.java-programming .review .owl-dots .owl-dot {
  display: flex;
  width: 12px;
  height: 12px;
  border-radius: 20px;
  background-color: #ffffff;
  opacity: 0.5;
  margin-right: 0.8rem;
}
.java-programming .review .owl-dots .owl-dot:last-child {
  margin-right: 0;
}
.java-programming .review .owl-dots .owl-dot.active {
  opacity: 1;
}
.java-programming .footer .footer-container,
.java-programming .footer .contact-list,
.java-programming .footer .info {
  display: flex;
  flex-direction: column;
}
.java-programming .footer .heading {
  margin-bottom: 0;
}
.java-programming .footer .buttons {
  align-self: center;
}
.java-programming .footer .contact-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 1.5rem;
  padding: 0.8rem;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
  background-color: #ffffff;
}
.java-programming .footer .contact-item .icon {
  width: 27px;
  height: 27px;
}
.java-programming .footer .contact-item .info {
  width: calc(100% - 35px);
}
.java-programming .footer .contact-item .info h3 {
  font-size: 14px;
}
.java-programming .footer .contact-item .info a {
  font-size: 12px;
  font-weight: 500;
  margin-top: 4px;
}
.java-programming .footer .contact-item .info img {
  width: 100px;
  height: 20px;
  margin-top: 0.2rem;
}
@media (min-width : 768px) {
  section {
    padding: 3rem 2rem;
  }
  .java-programming .banner .active + .menu-links {
    width: 50%;
  }
  .java-programming .banner .logo-container .container {
    border-radius: 70px;
    padding: 1rem 2rem;
  }
  .java-programming .banner .sticky {
    padding: 1rem 2rem !important;
  }
  .java-programming .banner .sticky .container {
    padding: 0;
  }
  .java-programming .banner .banner-info {
    display: none;
  }
  .java-programming .overview .overview-container {
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
  }
  .java-programming .overview .overview-content {
    width: 55%;
  }
  .java-programming .overview .overview-info {
    width: 40%;
    margin-top: 0;
    position: sticky;
    top: 60px;
  }
  .java-programming .course .course-list {
    flex-flow: wrap;
    justify-content: center;
  }
  .java-programming .course .course-item {
    width: 47%;
    margin-right: 2rem;
  }
  .java-programming .course .course-item:nth-child(2n) {
    margin-right: 0;
  }
  .java-programming .course .course-info {
    width: calc(100% - 60px);
  }
  .java-programming .course .course-info h3 {
    min-height: 42px;
  }
  .java-programming .method .method-list {
    flex-flow: wrap;
    justify-content: space-around;
  }
  .java-programming .method .method-item {
    width: 45%;
  }
  .java-programming .type .type-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
  }
  .java-programming .type .type-content {
    width: 50%;
  }
  .java-programming .type .type-info {
    position: sticky;
    margin-top: 0;
    width: 45%;
    top: 60px;
  }
  .java-programming .choose .choose-list {
    flex-flow: wrap;
    justify-content: space-between;
  }
  .java-programming .choose .choose-item {
    width: 48%;
  }
  .java-programming .fact .fact-item {
    width: 24%;
    justify-content: flex-start;
    background-size: 40% 100%;
    background-position: left;
  }
  .java-programming .fact .fact-item p {
    text-align: left;
  }
  .java-programming .benefit .benefit-container {
    flex-direction: row-reverse;
    align-items: flex-start;
    justify-content: space-between;
  }
  .java-programming .benefit .benefit-content {
    width: 48%;
  }
  .java-programming .benefit .benefit-img {
    width: 45%;
    margin-top: 0;
    position: sticky;
    top: 60px;
  }
  .java-programming .faq {
    padding-top: 3rem;
    padding-bottom: 3rem;
    background-image: linear-gradient(90deg, #EFF4F8 49%, #A701FB 0%, #5010FD 100%);
  }
  .java-programming .faq .faq-container {
    flex-direction: row;
    justify-content: space-between;
  }
  .java-programming .faq .faq-content {
    padding: 0;
    width: 45%;
    background-color: transparent;
  }
  .java-programming .faq .faq-content .heading {
    margin-bottom: 1.5rem;
  }
  .java-programming .faq .faq-list {
    overflow-y: scroll;
    padding-right: 1.5rem;
    max-height: 519px;
  }
  .java-programming .faq .form {
    background-image: none;
    width: 46%;
    margin-top: 0;
    padding: 0;
  }
  .java-programming .advantage .advantage-container {
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
  }
  .java-programming .advantage .advantage-content {
    width: 50%;
  }
  .java-programming .advantage .advantage-img {
    width: 43%;
    margin-top: 0;
    position: sticky;
    top: 60px;
  }
  .java-programming .review .review-item .info p {
    min-height: 268px;
  }
  .java-programming .footer .contact-list {
    flex-flow: wrap;
    justify-content: space-around;
  }
  .java-programming .footer .contact-item {
    width: 46%;
  }
}
@media (min-width : 1024px) {
  p {
    line-height: 1.8;
  }
  .java-programming .buttons .btn-blue,
  .java-programming .buttons .btn-white {
    font-size: 16px;
  }
  .java-programming .heading h2 {
    font-size: 28px;
  }
  .java-programming .banner {
    background-image: url(/_public/images/java-programming/bg-blue.png), url(/_public/images/java-programming/bg-white.png);
    background-position: left, right;
    background-size: 53% 100%, 55% 80%;
    background-repeat: no-repeat;
    position: relative;
    padding-bottom: 4rem;
  }
  .java-programming .banner::after,
  .java-programming .banner::before {
    content: '';
    position: absolute;
    background-size: 100% 100%;
  }
  .java-programming .banner::before {
    width: 57%;
    height: calc(100% + 24%);
    background-image: url(/_public/images/java-programming/grey-bg.png);
    left: 0;
    top: 0px;
    z-index: -1;
  }
  .java-programming .banner::after {
    background-image: url(/_public/images/java-programming/grid.png);
    background-position: top left;
    height: 300px;
    width: 284px;
    top: -67px;
    left: -75px;
    animation: pulse 3s linear infinite;
    z-index: 0;
  }
  .java-programming .banner .menu-links {
    display: flex;
    width: 75%;
    background-color: transparent;
    box-shadow: none;
    position: relative;
  }
  .java-programming .banner .menu,
  .java-programming .banner .menu-toggle {
    display: none;
  }
  .java-programming .banner ul {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
  .java-programming .banner ul .links-li {
    border-bottom: none;
    margin-right: 1.2rem;
    padding: 0;
    font-size: 15px;
    cursor: pointer;
    transition: 1s all;
    position: relative;
  }
  .java-programming .banner ul .links-li::after,
  .java-programming .banner ul .links-li::before {
    content: '';
    position: absolute;
    z-index: -1;
    transition: 0.6s all;
  }
  .java-programming .banner ul .links-li::before {
    width: 100%;
    height: 2px;
    background-image: linear-gradient(180deg, #A701FB, #5010FD);
    bottom: -8px;
    transform: scale(0);
  }
  .java-programming .banner ul .links-li::after {
    width: 0px;
    height: 0px;
    border-radius: 50px;
    background-color: #5010FD;
    bottom: -8px;
    left: 40%;
  }
  .java-programming .banner ul .links-li:hover::before {
    transform: scale(1);
  }
  .java-programming .banner ul .links-li:hover::after {
    width: 10px;
    height: 10px;
    bottom: -12px;
  }
  .java-programming .banner ul .links-li:nth-child(5) {
    display: none;
  }
  .java-programming .banner ul .links-li:last-child {
    display: flex;
    margin: 0;
  }
  .java-programming .banner ul .links-li:last-child::before,
  .java-programming .banner ul .links-li:last-child::after {
    content: none;
  }
  .java-programming .banner ul .buttons .btn-blue {
    height: 43px;
  }
  .java-programming .banner ul .buttons .btn-white {
    margin-right: 1rem;
    border: 1px solid #000000;
  }
  .java-programming .banner .banner-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  .java-programming .banner .banner-content {
    width: 47%;
  }
  .java-programming .banner .banner-info {
    display: flex;
    margin-top: 0;
    background-color: transparent;
    padding: 0;
    width: 44%;
  }
  .java-programming .overview {
    z-index: 1;
  }
  .java-programming .overview .overview-content {
    width: 58%;
    padding: 1.5rem;
  }
  .java-programming .overview .overview-info {
    width: 38%;
    padding: 2rem 1.5rem 1rem;
  }
  .java-programming .overview .overview-info:after {
    content: '';
    position: absolute;
    background-image: url(/_public/images/java-programming/pattern.png);
    background-repeat: no-repeat;
    background-position: top right;
    height: 400px;
    width: 365px;
    top: 0px;
    right: 0;
    background-size: 100% 100%;
    z-index: -1;
  }
  .java-programming .overview .overview-info span {
    transform: translate(115px, -10px);
    width: 68%;
    margin-top: 3.5rem;
  }
  .java-programming .course .course-info h3 {
    min-height: auto;
    font-size: 15px;
  }
  .java-programming .course .course-info p {
    width: 50%;
  }
  .java-programming .course .course-info p:nth-child(3) {
    width: 61%;
  }
  .java-programming .course .course-item {
    padding-bottom: 0.5rem;
  }
  .java-programming .course .buttons {
    width: 37%;
    justify-content: flex-end;
    align-items: flex-end;
    margin-top: 0;
    transform: translateY(-17px);
  }
  .java-programming .course .buttons .btn-white {
    font-size: 13px;
  }
  .java-programming .method {
    background-image: url(/_public/images/java-programming/method-bg.png);
    background-size: 100% 100%;
  }
  .java-programming .method .method-item {
    width: 22%;
  }
  .java-programming .method .method-item h3 {
    min-height: 52px;
  }
  .java-programming .choose canvas {
    display: flex;
  }
  .java-programming .choose .heading {
    width: 75%;
    align-self: center;
  }
  .java-programming .choose .choose-item {
    flex-direction: row;
    justify-content: space-between;
  }
  .java-programming .choose .choose-item .info {
    width: calc(100% - 110px);
    padding-top: 1rem;
  }
  .java-programming .fact .heading {
    width: 64%;
    align-self: center;
  }
  .java-programming .fact .fact-item {
    position: relative;
    z-index: 1;
    padding-left: 1.5rem;
    background-size: 27% 100%;
  }
  .java-programming .fact .fact-item::before {
    content: '';
    position: absolute;
    width: 2px;
    height: 75%;
    background-color: #ffffff;
    left: 0;
    top: 10px;
    z-index: -1;
  }
  .java-programming .benefit .benefit-container {
    align-items: center;
  }
  .java-programming .benefit .benefit-content {
    width: 52%;
  }
  .java-programming .benefit .benefit-img {
    position: static;
    width: 42%;
  }
  .java-programming .faq .faq-list {
    max-height: 417px;
  }
  .java-programming .faq .form .input-list {
    flex-flow: wrap;
    justify-content: space-between;
  }
  .java-programming .faq .form .input-list .input-container {
    width: 48%;
  }
  .java-programming .faq .form .input-list .input-container:last-child {
    width: 100%;
  }
  .java-programming .advantage .advantage-img {
    position: static;
    top: 0;
  }
  .java-programming .review .review-container,
  .java-programming .review .review-item {
    flex-direction: row;
    justify-content: space-between;
  }
  .java-programming .review .heading {
    width: 32%;
    padding: 0;
    margin-bottom: 0;
  }
  .java-programming .review .review-list {
    width: 65%;
  }
  .java-programming .review .review-item {
    padding: 2rem 1.5rem 3rem;
    margin-bottom: 0;
  }
  .java-programming .review .review-item::before {
    width: 96px;
    height: 66px;
  }
  .java-programming .review .review-item .info {
    width: calc(100% - 95px);
  }
  .java-programming .review .review-item .info h3 {
    margin-top: 0;
    font-size: 17px;
  }
  .java-programming .review .review-item .info p {
    min-height: 200px;
  }
  .java-programming .review .owl-dots {
    position: absolute;
    bottom: 7%;
    left: 17%;
  }
  .java-programming .footer {
    background-image: url(/_public/images/java-programming/footer-bg.png);
    background-size: 100% 70%;
    background-repeat: no-repeat;
  }
  .java-programming .footer .heading {
    width: 72%;
    margin: auto;
  }
  .java-programming .footer .contact-list {
    justify-content: space-between;
  }
  .java-programming .footer .contact-item {
    width: 32%;
  }
}
@media (min-width : 1366px) {
  .container {
    width: 1200px;
    margin: 0 auto;
  }
  section {
    padding: 4rem 0rem;
  }
  .java-programming .heading h2 {
    font-size: 32px;
  }
  .java-programming .banner {
    background-size: 50% 100%,55% 80%;
  }
  .java-programming .banner::before {
    width: 53%;
  }
  .java-programming .banner .logo-container .container {
    padding: 1.5rem 3rem;
  }
  .java-programming .banner .menu-links li:nth-child(5) {
    display: flex;
  }
  .java-programming .banner .tka-logo {
    width: 210px;
  }
  .java-programming .banner .sticky {
    padding: 1rem 0 !important;
  }
  .java-programming .banner .sticky .container {
    border-radius: 0;
    padding: 0;
  }
  .java-programming .banner .banner-container {
    padding-top: 4rem;
  }
  .java-programming .banner .banner-content {
    width: 40%;
  }
  .java-programming .banner .banner-content h1 {
    font-size: 116px;
    line-height: 0.7;
  }
  .java-programming .banner .banner-content h1 img {
    width: 105px;
    height: 105px;
  }
  .java-programming .banner .banner-content h1 span {
    font-size: 85px;
    font-weight: 400;
  }
  .java-programming .banner .banner-content p {
    margin-top: 2.5rem;
  }
  .java-programming .overview {
    padding-top: 6rem;
  }
  .java-programming .overview .overview-content {
    width: 62%;
  }
  .java-programming .overview .overview-content p {
    font-size: 13px;
  }
  .java-programming .overview .overview-info {
    width: 35%;
    position: relative;
    top: 0;
  }
  .java-programming .overview .overview-info h3 {
    font-size: 20px;
  }
  .java-programming .course .course-list {
    width: 80%;
    margin: auto;
  }
  .java-programming .type .type-info {
    position: static;
    width: 48%;
  }
  .java-programming .choose .choose-list {
    width: 90%;
    margin: auto;
  }
  .java-programming .fact .fact-list {
    width: 85%;
    margin: auto;
  }
  .java-programming .advantage .advantage-img {
    width: 37%;
  }
  .java-programming .review .review-item .info p {
    min-height: 150px;
  }
  .java-programming .review .owl-dots {
    left: 14%;
  }
  .java-programming .footer .contact-list {
    width: 93%;
    margin: auto;
  }
  .java-programming .footer .contact-item {
    margin-top: 2.5rem;
    padding: 1rem 1.5rem;
  }
  .java-programming .footer .contact-item .icon {
    width: 32px;
    height: 32px;
  }
  .java-programming .footer .contact-item .info {
    width: calc(100% - 50px);
  }
  .java-programming .footer .contact-item .info h3 {
    font-size: 15px;
  }
  .java-programming .footer .contact-item .info a {
    font-size: 14px;
  }
}
@media (min-width : 1500px) {
  .java-programming .footer {
    background-image: none;
  }
}
